%define upstream_name	 Object-Signature
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Generate cryptographic signatures for objects
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Storable) >= 2.110.0
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Object::Signature is an abstract base class that you can inherit from in order
to allow your objects to generate unique cryptographic signatures.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 README Changes lib/Object/Signature.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Object
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.80.0-4.mga10
+ Revision: 2205058
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.80.0-3.mga9
+ Revision: 1810964
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.80.0-2.mga8
+ Revision: 1519733
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Oct 17 2018 shlomif <shlomif> 1.80.0-1.mga7
+ Revision: 1321474
- update to 1.08

* Thu Sep 20 2018 umeabot <umeabot> 1.70.0-11.mga7
+ Revision: 1285454
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.70.0-10.mga7
+ Revision: 1166053
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.70.0-9.mga7
+ Revision: 1160506
- add BR on perl(inc::Module::Install::DSL)

* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-8.mga6
+ Revision: 1031484
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.70.0-7.mga6
+ Revision: 942659
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-6.mga5
+ Revision: 745825
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.70.0-5.mga5
+ Revision: 732432
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-4.mga5
+ Revision: 685788
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.70.0-3.mga4
+ Revision: 513747
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 371106
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 25 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 77313
- update to 1.07

* Tue Jan 18 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 22704
- cleaning spec file
- imported package perl-Object-Signature


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.0
+ Revision: 407955
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.05-4mdv2009.0
+ Revision: 258146
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.05-3mdv2009.0
+ Revision: 246259
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.05-1mdv2008.1
+ Revision: 123239
- kill re-definition of %%buildroot on Pixel's request


* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 1.05-1mdv2007.0
+ Revision: 94371
- 1.05
- Import perl-Object-Signature

* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2007.0
- new version
- spec cleanup
- rpmbuildupate aware
- fix directory ownership

* Thu Jan 05 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.03-1mdk
- First Mandriva release

